Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Class RandomOutputStream

    java.lang.Object
      java.io.OutputStream
          org.ka2ddo.yaac.io.RandomOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class RandomOutputStream

extends java.io.OutputStream

This class provides a sequential OutputStream wrapper around a RandomAccessFile.

Constructor Summary
`RandomOutputStream(java.io.RandomAccessFile raf)`

Method Summary
`void` | `write(byte[] b)` Writes `b.length` bytes from the specified byte array to this output stream.
`void` | `write(byte[] b, int off, int len)` Writes `len` bytes from the specified byte array starting at offset `off` to this output stream.
`void` | `write(int b)` Writes the specified byte to this output stream.

Methods inherited from class java.io.OutputStream
`close, flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomOutputStream

    public RandomOutputStream(java.io.RandomAccessFile raf)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte to this output stream. The general contract for `write` is that one byte is written to the output stream. The byte to be written is the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.

  Subclasses of `OutputStream` must provide an implementation for this method.

  Specified by:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the `byte`.
  Throws:
    `java.io.IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

### write

    public void write(byte[] b)
               throws java.io.IOException

  Writes `b.length` bytes from the specified byte array to this output stream. The general contract for `write(b)` is that it should have exactly the same effect as the call `write(b, 0, b.length)`.

  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the data.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `OutputStream.write(byte[], int, int)`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes `len` bytes from the specified byte array starting at offset `off` to this output stream. The general contract for `write(b, off, len)` is that some of the bytes in the array `b` are written to the output stream in order; element `b[off]` is the first byte written and `b[off+len-1]` is the last byte written by this operation.

  The `write` method of `OutputStream` calls the write method of one argument on each of the bytes to be written out. Subclasses are encouraged to override this method and provide a more efficient implementation.

  If `b` is `null`, a `NullPointerException` is thrown.

  If `off` is negative, or `len` is negative, or `off+len` is greater than the length of the array `b`, then an `IndexOutOfBoundsException` is thrown.

  Overrides:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `java.io.IOException` - if an I/O error occurs. In particular, an `IOException` is thrown if the output stream is closed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD